PDA

View Full Version : Problems with QOCI8 in Linux



Rick108
16th February 2006, 22:01
I am using Qt 3.3.3 Enterprise Edition in RedHat Linux AS4. Some months ago I rebuilt Qt to include the QODBC3 database driver directly in the Qt library file (nl more plugin), and that works fine. Now we would like to use the QOCI8 database driver, so after installing the (Oracle 10g) client software, I ran configure with "-qt-sql-oci" and then did the make again. No errors, I got a new (bigger) Qt library file, and I saw it compile the qsql_oci.cpp file. But when I try to use addDatabase ("QOCI8") with my new library, it still generates the following messages:

QSqlDatabase: QOCI8 driver not loaded
QSqlDatabase: available drivers: QODBC3

Where have I gone wrong?

jacek
16th February 2006, 22:10
Try running "ldd <program>". It should display paths to all shared libraries that your program uses. Check if the new Qt version is there.

Rick108
16th February 2006, 23:12
It was there, but so was another (old) version of the Qt library, and it found the old one. I got rid of it, and now it works.

Thank you for your help, jacek.